import React from 'react';
import { AppProps } from '@hygraph/app-sdk';
import type { ExtensionDialogProps, FormSidebarExtensionProps } from '@hygraph/app-sdk';
import type { FieldExtensionProps } from './hooks';
type WrapperContext = AppProps | FieldExtensionProps | FormSidebarExtensionProps | (ExtensionDialogProps & Record<string, unknown>);
type SDKState = 'init' | 'error' | 'ok' | 'validation';
declare const WrapperContext: React.Context<WrapperContext>;
type WrapperProps = {
    uid?: string;
    fallback?: React.FC<{
        state: SDKState;
    }>;
    debug?: boolean;
} & {
    children: React.ReactNode;
};
export declare function Wrapper(props: WrapperProps): JSX.Element;
export declare function useWrapperContext(): WrapperContext;
export {};
